//+------------------------------------------------------------------+
//|                                    s-SearchSymbolMarketWatch.mq4 |
//|                                          Copyright  2011, Talex |
//|                                      talex.kaliningrad@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Talex"
#property link      "talex.kaliningrad@gmail.com"
#property show_inputs

#define WM_COMMAND         0x0111
#define WM_KEYDOWN         0x0100
#define VK_HOME            0x24
#define VK_DOWN            0x28

#import "user32.dll"
   int GetAncestor (int hWnd, int gaFlags);
   int GetDlgItem (int hDlg, int nIDDlgItem);
   int PostMessageA (int hWnd, int Msg, int wParam, int lParam);
#import


extern string SymbolName = "";
extern bool   OpenChart  = false;
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
void start() {
   int i,hfile,count,offset,len;
   string symb;
//=============================================
   hfile=FileOpenHistory("symbols.sel",FILE_BIN|FILE_READ);
   if(hfile!=-1) {
      count=(FileSize(hfile)-4)/128; 
      offset=116;
      FileSeek(hfile,4,SEEK_SET);
      len=StringLen(SymbolName);
      for(i=0;i<count;i++) {
         symb=FileReadString(hfile,12);
         FileSeek(hfile,offset,SEEK_CUR);
         if(StringSubstr(symb,0,len)==SymbolName) break;
      }
      if(i<count) OpenChart(i);
   }
   FileClose(hfile);
   return;
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| OpenChart()                                                      |
//| :                                                      |
//|       " ".            |
//+------------------------------------------------------------------+
void OpenChart (int num) {
   int handle,hwnd;
//------------------------------------- 
   handle=GetAncestor(WindowHandle(Symbol(),Period()),2); 
   hwnd=GetDlgItem(handle,0xE81C); 
   hwnd=GetDlgItem(hwnd,0x50);
   hwnd=GetDlgItem(hwnd,0x8A71);                 //  " ".
   PostMessageA(hwnd,WM_KEYDOWN,VK_HOME,0);      //    " ".
   while (num>0) {
      PostMessageA(hwnd,WM_KEYDOWN,VK_DOWN,0);   //    .
      num--;
   }
   if(OpenChart) {
      PostMessageA(handle,WM_COMMAND,33160,0);   //  .
   }
   return;
}
//+------------------------------------------------------------------+